--- old/usr/src/uts/common/inet/tcp/tcp_tunables.c	sam. juil. 16 15:15:02 2016
+++ new/usr/src/uts/common/inet/tcp/tcp_tunables.c	sam. juil. 16 15:15:02 2016
@@ -249,245 +249,245 @@
 	/* tunable - 0 */
 	{ "_time_wait_interval", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {1*SECONDS, TCP_TIME_WAIT_MAX, 1*MINUTES}, {1*MINUTES} },
+	    {{1*SECONDS, TCP_TIME_WAIT_MAX, 1*MINUTES}}, {1*MINUTES} },
 
 	{ "_conn_req_max_q", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {1, UINT32_MAX, 128}, {128} },
+	    {{1, UINT32_MAX, 128}}, {128} },
 
 	{ "_conn_req_max_q0", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {0, UINT32_MAX, 1024}, {1024} },
+	    {{0, UINT32_MAX, 1024}}, {1024} },
 
 	{ "_conn_req_min", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {1, 1024, 1}, {1} },
+	    {{1, 1024, 1}}, {1} },
 
 	{ "_conn_grace_period", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {0*MS, 20*SECONDS, 0*MS}, {0*MS} },
+	    {{0*MS, 20*SECONDS, 0*MS}}, {0*MS} },
 
 	{ "_cwnd_max", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {128, ULP_MAX_BUF, 1024*1024}, {1024*1024} },
+	    {{128, ULP_MAX_BUF, 1024*1024}}, {1024*1024} },
 
 	{ "_debug", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {0, 10, 0}, {0} },
+	    {{0, 10, 0}}, {0} },
 
 	{ "smallest_nonpriv_port", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {1024, (32*1024), 1024}, {1024} },
+	    {{1024, (32*1024), 1024}}, {1024} },
 
 	{ "_ip_abort_cinterval", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {1*SECONDS, UINT32_MAX, 3*MINUTES}, {3*MINUTES} },
+	    {{1*SECONDS, UINT32_MAX, 3*MINUTES}}, {3*MINUTES} },
 
 	{ "_ip_abort_linterval", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {1*SECONDS, UINT32_MAX, 3*MINUTES}, {3*MINUTES} },
+	    {{1*SECONDS, UINT32_MAX, 3*MINUTES}}, {3*MINUTES} },
 
 	/* tunable - 10 */
 	{ "_ip_abort_interval", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {500*MS, UINT32_MAX, 5*MINUTES}, {5*MINUTES} },
+	    {{500*MS, UINT32_MAX, 5*MINUTES}}, {5*MINUTES} },
 
 	{ "_ip_notify_cinterval", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {1*SECONDS, UINT32_MAX, 10*SECONDS},
+	    {{1*SECONDS, UINT32_MAX, 10*SECONDS}},
 	    {10*SECONDS} },
 
 	{ "_ip_notify_interval", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {500*MS, UINT32_MAX, 10*SECONDS}, {10*SECONDS} },
+	    {{500*MS, UINT32_MAX, 10*SECONDS}}, {10*SECONDS} },
 
 	{ "_ipv4_ttl", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {1, 255, 64}, {64} },
+	    {{1, 255, 64}}, {64} },
 
 	{ "_keepalive_interval", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {1*SECONDS, 10*DAYS, 2*HOURS}, {2*HOURS} },
+	    {{1*SECONDS, 10*DAYS, 2*HOURS}}, {2*HOURS} },
 
 	{ "_maxpsz_multiplier", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {0, 100, 10}, {10} },
+	    {{0, 100, 10}}, {10} },
 
 	{ "_mss_def_ipv4", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {1, TCP_MSS_MAX_IPV4, 536}, {536} },
+	    {{1, TCP_MSS_MAX_IPV4, 536}}, {536} },
 
 	{ "_mss_max_ipv4", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {1, TCP_MSS_MAX_IPV4, TCP_MSS_MAX_IPV4},
+	    {{1, TCP_MSS_MAX_IPV4, TCP_MSS_MAX_IPV4}},
 	    {TCP_MSS_MAX_IPV4} },
 
 	{ "_mss_min", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {1, TCP_MSS_MAX, 108}, {108} },
+	    {{1, TCP_MSS_MAX, 108}}, {108} },
 
 	{ "_naglim_def", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {1, (64*1024)-1, (4*1024)-1}, {(4*1024)-1} },
+	    {{1, (64*1024)-1, (4*1024)-1}}, {(4*1024)-1} },
 
 	/* tunable - 20 */
 	{ "_rexmit_interval_initial", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {1*MS, 20*SECONDS, 1*SECONDS}, {1*SECONDS} },
+	    {{1*MS, 20*SECONDS, 1*SECONDS}}, {1*SECONDS} },
 
 	{ "_rexmit_interval_max", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {1*MS, 2*HOURS, 60*SECONDS}, {60*SECONDS} },
+	    {{1*MS, 2*HOURS, 60*SECONDS}}, {60*SECONDS} },
 
 	{ "_rexmit_interval_min", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {1*MS, 2*HOURS, 400*MS}, {400*MS} },
+	    {{1*MS, 2*HOURS, 400*MS}}, {400*MS} },
 
 	{ "_deferred_ack_interval", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {1*MS, 1*MINUTES, 100*MS}, {100*MS} },
+	    {{1*MS, 1*MINUTES, 100*MS}}, {100*MS} },
 
 	{ "_snd_lowat_fraction", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {0, 16, 10}, {10} },
+	    {{0, 16, 10}}, {10} },
 
 	{ "_dupack_fast_retransmit", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {1, 10000, 3}, {3} },
+	    {{1, 10000, 3}}, {3} },
 
 	{ "_ignore_path_mtu", MOD_PROTO_TCP,
 	    mod_set_boolean, mod_get_boolean,
-	    {B_FALSE}, {B_FALSE} },
+	    {.mpi_bval = B_FALSE}, {B_FALSE} },
 
 	{ "smallest_anon_port", MOD_PROTO_TCP,
 	    tcp_smallest_anon_set, mod_get_uint32,
-	    {1024, ULP_MAX_PORT, 32*1024}, {32*1024} },
+	    {{1024, ULP_MAX_PORT, 32*1024}}, {32*1024} },
 
 	{ "largest_anon_port", MOD_PROTO_TCP,
 	    tcp_largest_anon_set, mod_get_uint32,
-	    {1024, ULP_MAX_PORT, ULP_MAX_PORT},
+	    {{1024, ULP_MAX_PORT, ULP_MAX_PORT}},
 	    {ULP_MAX_PORT} },
 
 	{ "send_buf", MOD_PROTO_TCP,
 	    tcp_set_buf_prop, tcp_get_buf_prop,
-	    {TCP_XMIT_LOWATER, ULP_MAX_BUF, TCP_XMIT_HIWATER},
+	    {{TCP_XMIT_LOWATER, ULP_MAX_BUF, TCP_XMIT_HIWATER}},
 	    {TCP_XMIT_HIWATER} },
 
 	/* tunable - 30 */
 	{ "_xmit_lowat", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {TCP_XMIT_LOWATER, ULP_MAX_BUF, TCP_XMIT_LOWATER},
+	    {{TCP_XMIT_LOWATER, ULP_MAX_BUF, TCP_XMIT_LOWATER}},
 	    {TCP_XMIT_LOWATER} },
 
 	{ "recv_buf", MOD_PROTO_TCP,
 	    tcp_set_buf_prop, tcp_get_buf_prop,
-	    {TCP_RECV_LOWATER, ULP_MAX_BUF, TCP_RECV_HIWATER},
+	    {{TCP_RECV_LOWATER, ULP_MAX_BUF, TCP_RECV_HIWATER}},
 	    {TCP_RECV_HIWATER} },
 
 	{ "_recv_hiwat_minmss", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {1, 65536, 4}, {4} },
+	    {{1, 65536, 4}}, {4} },
 
 	{ "_fin_wait_2_flush_interval", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {1*SECONDS, 2*HOURS, 60*SECONDS},
+	    {{1*SECONDS, 2*HOURS, 60*SECONDS}},
 	    {60*SECONDS} },
 
 	{ "max_buf", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {8192, ULP_MAX_BUF, 1024*1024}, {1024*1024} },
+	    {{8192, ULP_MAX_BUF, 1024*1024}}, {1024*1024} },
 
 	{ "_strong_iss", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {0, 2, 2}, {2} },
+	    {{0, 2, 2}}, {2} },
 
 	{ "_rtt_updates", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {0, 65536, 20}, {20} },
+	    {{0, 65536, 20}}, {20} },
 
 	{ "_wscale_always", MOD_PROTO_TCP,
 	    mod_set_boolean, mod_get_boolean,
-	    {B_TRUE}, {B_TRUE} },
+	    {.mpi_bval = B_TRUE}, {B_TRUE} },
 
 	{ "_tstamp_always", MOD_PROTO_TCP,
 	    mod_set_boolean, mod_get_boolean,
-	    {B_FALSE}, {B_FALSE} },
+	    {.mpi_bval = B_FALSE}, {B_FALSE} },
 
 	{ "_tstamp_if_wscale", MOD_PROTO_TCP,
 	    mod_set_boolean, mod_get_boolean,
-	    {B_TRUE}, {B_TRUE} },
+	    {.mpi_bval = B_TRUE}, {B_TRUE} },
 
 	/* tunable - 40 */
 	{ "_rexmit_interval_extra", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {0*MS, 2*HOURS, 0*MS}, {0*MS} },
+	    {{0*MS, 2*HOURS, 0*MS}}, {0*MS} },
 
 	{ "_deferred_acks_max", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {0, 16, 2}, {2} },
+	    {{0, 16, 2}}, {2} },
 
 	{ "_slow_start_after_idle", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {0, 16384, 0}, {0} },
+	    {{0, 16384, 0}}, {0} },
 
 	{ "_slow_start_initial", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {0, 16, 0}, {0} },
+	    {{0, 16, 0}}, {0} },
 
 	{ "sack", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {0, 2, 2}, {2} },
+	    {{0, 2, 2}}, {2} },
 
 	{ "_ipv6_hoplimit", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {0, IPV6_MAX_HOPS, IPV6_DEFAULT_HOPS},
+	    {{0, IPV6_MAX_HOPS, IPV6_DEFAULT_HOPS}},
 	    {IPV6_DEFAULT_HOPS} },
 
 	{ "_mss_def_ipv6", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {1, TCP_MSS_MAX_IPV6, 1220}, {1220} },
+	    {{1, TCP_MSS_MAX_IPV6, 1220}}, {1220} },
 
 	{ "_mss_max_ipv6", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {1, TCP_MSS_MAX_IPV6, TCP_MSS_MAX_IPV6},
+	    {{1, TCP_MSS_MAX_IPV6, TCP_MSS_MAX_IPV6}},
 	    {TCP_MSS_MAX_IPV6} },
 
 	{ "_rev_src_routes", MOD_PROTO_TCP,
 	    mod_set_boolean, mod_get_boolean,
-	    {B_FALSE}, {B_FALSE} },
+	    {.mpi_bval = B_FALSE}, {B_FALSE} },
 
 	{ "_local_dack_interval", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {10*MS, 500*MS, 50*MS}, {50*MS} },
+	    {{10*MS, 500*MS, 50*MS}}, {50*MS} },
 
 	/* tunable - 50 */
 	{ "_local_dacks_max", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {0, 16, 8}, {8} },
+	    {{0, 16, 8}}, {8} },
 
 	{ "ecn", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {0, 2, 1}, {1} },
+	    {{0, 2, 1}}, {1} },
 
 	{ "_rst_sent_rate_enabled", MOD_PROTO_TCP,
 	    mod_set_boolean, mod_get_boolean,
-	    {B_TRUE}, {B_TRUE} },
+	    {.mpi_bval = B_TRUE}, {B_TRUE} },
 
 	{ "_rst_sent_rate", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {0, UINT32_MAX, 40}, {40} },
+	    {{0, UINT32_MAX, 40}}, {40} },
 
 	{ "_push_timer_interval", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {0, 100*MS, 50*MS}, {50*MS} },
+	    {{0, 100*MS, 50*MS}}, {50*MS} },
 
 	{ "_use_smss_as_mss_opt", MOD_PROTO_TCP,
 	    mod_set_boolean, mod_get_boolean,
-	    {B_FALSE}, {B_FALSE} },
+	    {.mpi_bval = B_FALSE}, {B_FALSE} },
 
 	{ "_keepalive_abort_interval", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {0, UINT32_MAX, 8*MINUTES}, {8*MINUTES} },
+	    {{0, UINT32_MAX, 8*MINUTES}}, {8*MINUTES} },
 
 	/*
 	 * tcp_wroff_xtra is the extra space in front of TCP/IP header for link
@@ -495,41 +495,41 @@
 	 */
 	{ "_wroff_xtra", MOD_PROTO_TCP,
 	    mod_set_aligned, mod_get_uint32,
-	    {0, 256, 32}, {32} },
+	    {{0, 256, 32}}, {32} },
 
 	{ "_dev_flow_ctl", MOD_PROTO_TCP,
 	    mod_set_boolean, mod_get_boolean,
-	    {B_FALSE}, {B_FALSE} },
+	    {.mpi_bval = B_FALSE}, {B_FALSE} },
 
 	{ "_reass_timeout", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {0, UINT32_MAX, 100*SECONDS}, {100*SECONDS} },
+	    {{0, UINT32_MAX, 100*SECONDS}}, {100*SECONDS} },
 
 	/* tunable - 60 */
 	{ "extra_priv_ports", MOD_PROTO_TCP,
 	    mod_set_extra_privports, mod_get_extra_privports,
-	    {1, ULP_MAX_PORT, 0}, {0} },
+	    {{1, ULP_MAX_PORT, 0}}, {0} },
 
 	{ "_1948_phrase", MOD_PROTO_TCP,
-	    tcp_set_1948phrase, NULL, {0}, {0} },
+	    tcp_set_1948phrase, NULL, {{0,0,0}}, {0} },
 
 	{ "_listener_limit_conf", MOD_PROTO_TCP,
-	    NULL, tcp_listener_conf_get, {0}, {0} },
+	    NULL, tcp_listener_conf_get, {{0,0,0}}, {0} },
 
 	{ "_listener_limit_conf_add", MOD_PROTO_TCP,
-	    tcp_listener_conf_add, NULL, {0}, {0} },
+	    tcp_listener_conf_add, NULL, {{0,0,0}}, {0} },
 
 	{ "_listener_limit_conf_del", MOD_PROTO_TCP,
-	    tcp_listener_conf_del, NULL, {0}, {0} },
+	    tcp_listener_conf_del, NULL, {{0,0,0}}, {0} },
 
 	{ "_iss_incr", MOD_PROTO_TCP,
 	    mod_set_uint32, mod_get_uint32,
-	    {1, ISS_INCR, ISS_INCR},
+	    {{1, ISS_INCR, ISS_INCR}},
 	    {ISS_INCR} },
 
-	{ "?", MOD_PROTO_TCP, NULL, mod_get_allprop, {0}, {0} },
+	{ "?", MOD_PROTO_TCP, NULL, mod_get_allprop, {{0,0,0}}, {0} },
 
-	{ NULL, 0, NULL, NULL, {0}, {0} }
+	{ NULL, 0, NULL, NULL, {{0,0,0}}, {0} }
 };
 
 int tcp_propinfo_count = A_CNT(tcp_propinfo_tbl);
